ArcDef
Keywords: org.jrobin.core.ArcDef class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jrobin.core
Class ArcDef

    java.lang.Object
      org.jrobin.core.ArcDef

public class ArcDef
extends java.lang.Object

Class to represent single archive definition within the RRD. Archive definition consists of the following four elements:

- consolidation function
- X-files factor
- number of steps
- number of rows.

For the complete explanation of all archive definition parameters, see RRDTool's rrdcreate man page

Field Summary
`static java.lang.String[]` | `CONSOL_FUNS` array of valid consolidation function names

Constructor Summary
`ArcDef(java.lang.String consolFun, double xff, int steps, int rows)` Creates new archive definition object.

Method Summary
`java.lang.String` | `dump()` Returns string representing archive definition (RRDTool format).
`boolean` | `equals(java.lang.Object obj)` Checks if two archive definitions are equal.
`java.lang.String` | `getConsolFun()` Returns consolidation function.
`int` | `getRows()` Returns the number of rows (aggregated values) stored in the archive.
`int` | `getSteps()` Returns the number of primary RRD steps which complete a single archive step.
`double` | `getXff()` Returns the X-files factor.
`static boolean` | `isValidConsolFun(java.lang.String consolFun)` Checks if function argument represents valid consolidation function name.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONSOL_FUNS

    public static final java.lang.String[] CONSOL_FUNS

  array of valid consolidation function names

Constructor Detail

### ArcDef

    public ArcDef(java.lang.String consolFun,
                  double xff,
                  int steps,
                  int rows)
           throws RrdException

  Creates new archive definition object. This object should be passed as argument to `addArchive()` method of `RrdDb` object.

  For the complete explanation of all archive definition parameters, see RRDTool's rrdcreate man page

Parameters:
  `consolFun` - Consolidation function. Allowed values are "AVERAGE", "MIN", "MAX" and "LAST".
  `xff` - X-files factor, between 0 and 1.
  `steps` - Number of archive steps.
  `rows` - Number of archive rows.
Throws:
  `RrdException` - Thrown if any parameter has illegal value.

Method Detail

### getConsolFun

    public java.lang.String getConsolFun()

  Returns consolidation function.

  Returns:
    Consolidation function.

### getXff

    public double getXff()

  Returns the X-files factor.

  Returns:
    X-files factor value.

### getSteps

    public int getSteps()

  Returns the number of primary RRD steps which complete a single archive step.

  Returns:
    Number of steps.

### getRows

    public int getRows()

  Returns the number of rows (aggregated values) stored in the archive.

  Returns:
    Number of rows.

### dump

    public java.lang.String dump()

  Returns string representing archive definition (RRDTool format).

  Returns:
    String containing all archive definition parameters.

### equals

    public boolean equals(java.lang.Object obj)

  Checks if two archive definitions are equal. Archive definitions are considered equal if they have the same number of steps and the same consolidation function. It is not possible to create RRD with two equal archive definitions.

  Parameters:
    `obj` - Archive definition to compare with.
  Returns:
    `true` if archive definitions are equal, `false` otherwise.

### isValidConsolFun

    public static boolean isValidConsolFun(java.lang.String consolFun)

  Checks if function argument represents valid consolidation function name.

  Parameters:
    `consolFun` - Consolidation function to be checked
  Returns:
    `true` if `consolFun` is valid consolidation function, `false` otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD